Qt 5.8 | Qt Charts | C++ Classes | QHorizontalBarSeries

Qt 5.8.0 Reference Documentation

# QHorizontalBarSeries Class

The QHorizontalBarSeries class presents a series of data as horizontal bars grouped by category. More...

Header: | #include <QHorizontalBarSeries>
Instantiated By: | HorizontalBarSeries
Inherits: | QAbstractBarSeries

- List of all members, including inherited members

## Public Functions

| QHorizontalBarSeries(QObject *parent = Q_NULLPTR)
| ~QHorizontalBarSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const

- 18 public functions inherited from QAbstractBarSeries
- 15 public functions inherited from QAbstractSeries

### Additional Inherited Members

- 6 properties inherited from QAbstractBarSeries
- 5 properties inherited from QAbstractSeries
- 12 signals inherited from QAbstractBarSeries
- 4 signals inherited from QAbstractSeries

## Detailed Description

The QHorizontalBarSeries class presents a series of data as horizontal bars grouped by category.

This class draws data as a series of horizontal bars grouped by category, with one bar per category from each bar set added to the series.

See the horizontal bar chart example to learn how to create a horizontal bar chart.

See also QBarSet, QBarSeries, QPercentBarSeries, QAbstractBarSeries, QStackedBarSeries, QHorizontalStackedBarSeries, and QHorizontalPercentBarSeries.

## Member Function Documentation

### QHorizontalBarSeries::QHorizontalBarSeries(QObject *parent = Q_NULLPTR)

Constructs an empty horizontal bar series that is a QObject and a child of parent.

### QHorizontalBarSeries::~QHorizontalBarSeries()

Removes the horizontal bar series from the chart.

### `[virtual]` QAbstractSeries::SeriesType QHorizontalBarSeries::type() const

Reimplemented from QAbstractSeries::type().

Returns the horizontal bar series.